### Virtual Method

# Gio File has_uri_scheme

#### Declaration

    gboolean
    has_uri_scheme (
      GFile* file,
      const char* uri_scheme
    )

#### Description

Checks to see if a `GFile` has a given URI scheme.

This call does no blocking I/O.

#### Parameters

`uri_scheme`

  Type: `const char*`

  A string containing a URI scheme.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `GFile`‘s backend supports the given URI scheme, `FALSE` if URI scheme is `NULL`, not supported, or `GFile` is invalid.